> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutación: exportar el Mapa de Zonas como Shapefile ZIP

Genera un archivo zip con el «ZonesMap» seleccionado como shapefile.

{% hint style="info" %}
El archivo contiene archivos \*.shp, \*.shx, \*.prj y \*.dbf en EPSG:4326.
{% endhint %}

### 1. Preparación

* El atributo `vectorAnalysisMaps` contiene una matriz de objetos ZonesMaps (VectorAnalysisMaps) que se exportarán. Cada objeto incluye un par de `fieldUuid` (vinculado al campo seleccionado) y `uuid` (vinculado al ZonesMap seleccionado).
* El atributo booleano `asMultiGeometry` determina si las zonas se exportan como `Polygons` o como `MultiPolygons` (cuando se establece en `true` ).
* El atributo booleano `onlyProductColumns` especifica si el shapefile debe incluir solo las columnas con productos (RX) (cuando `true`). De lo contrario, se incluirán como columnas todos los atributos estadísticos y los identificadores de zona.
* El atributo `archiveName` contiene el nombre del archivo zip generado.
* El atributo `filePostfix` permite añadir sufijos personalizados a los archivos exportados y al archivo comprimido.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Descarga del archivo generado

Después de ejecutar la consulta GraphQL, se puede descargar mediante `curl` o un método similar.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
